Summary: A printer configuration backend/frontend combo.
Name: printconf
Version: 0.2.15
Release: 2secgdi
Copyright: GPL
Group: System Environment/Daemons
Source0: %{name}-%{version}.tar.gz
Patch1: printconf-0.2.15-PARANOIDSAFER.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Provides: /etc/rc.d/init.d/lpd
Obsoletes: rhs-printfilters
BuildRequires: python >= 1.5
PreReq: alchemist 
PreReq: python >= 1.5
BuildRequires: m4 
Requires: LPRng >= 3.7.4-9
Requires: m4
Requires: perl
Requires: ghostscript >= 5.50-19secgdi, pnm2ppa
Requires: bzip2, gzip
Requires: nkf

%package gui
Summary: printconf-backend summary
Group: System Environment/Daemons
Obsoletes: printtool
Requires: printconf == %{version}
Requires: pygtk, pygtk-libglade
Requires: pygnome, pygnome-libglade

%description
printconf is a printer configuration and filtration system based upon
the alchemist data library, magicfilter, and the foomatic filter system.
It rebuilds local print configuration and spool directories from data
sources at lpd init time, and is integrated to use the multi-sourced
features of the alchemsit data library.

%description gui
provides an Xwindows gui tool for configuring the printconf backend.

%prep
%setup -q

# Use the -dSAFER and -dPARANOIDSAFER options to ghostscript
%patch1 -p1 -b .PARANOIDSAFER

# Add gdi to the list of ghostscript drivers
echo gdi >> src/redhat_gs_driver_list

%configure

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%find_lang %{name}-gui

%triggerun -- rhs-printfilters
%__cp /etc/printcap /etc/printcap.save
python /usr/share/printconf/util/import_printtool_queues.py

%clean
rm -rf $RPM_BUILD_ROOT

%files gui -f %{name}-gui.lang
%defattr(-,root,root)
/usr/sbin/printconf-gui
/usr/bin/printconf-gui
/usr/bin/printtool
/etc/pam.d/*
/etc/security/console.apps/*
/etc/X11/applnk/System/printconf.desktop
%doc docs/*

%files
%defattr(-,root,root)
/usr/sbin/printconf-backend
/usr/bin/magicfilter-t
%dir /usr/share/printconf
/usr/share/printconf/*
/usr/share/man/*/*
%config(noreplace) /etc/alchemist/switchboard/printconf.switchboard.adl
%dir /etc/alchemist/namespace/printconf
%config(noreplace) /etc/printcap.local
/etc/alchemist/namespace/printconf/rpm.adl
%config(noreplace) /etc/alchemist/namespace/printconf/local.adl
%dir /var/cache/alchemist/printconf
%doc README
%doc src/magicfilter-2.0.d/magicfilter.README
%doc src/foomatic/foomatic.README
%doc src/foomatic/foomatic.COPYING

%changelog
* Wed Sep 19 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.2.15-2
- use the -dSAFER and -dPARANOIDSAFER options to ghostscript in all cases.

* Fri May 25 2001 Paul Howarth <paul@city-fan.org>
- added support for Samsung gdi driver for ML-4500.

* Mon May 21 2001 Crutcher Dunnavant <crutcher@redhat.com>
- fixed magicfilter's prototyping for ia64

* Wed Apr 20 2001 Crutcher Dunnavant <crutcher@redhat.com>
- fixed a bug in deleting an overriden context

* Wed Apr 18 2001 Crutcher Dunnavant <crutcher@redhat.com>
- taught printconf-gui what to do with a corrupt/missing local context.
- fixed override traceback typo (overriden != overridden)

* Wed Mar 28 2001 Crutcher Dunnavant <crutcher@redhat.com>
- added pygtk-libglade and pygnome-libglade dependancies to printconf-gui

* Thu Mar 22 2001 Crutcher Dunnavant <crutcher@redhat.com>
- added the option 'r' to magicfilter's ignore list (how did we miss it before?)
- fixed bad thinko in the charset override filters
- reordered the compression filters to be defined first

* Tue Mar 20 2001 Crutcher Dunnavant <crutcher@redhat.com>
- fixed O_NONBLOCK typo in scanning printers
- saved boolean foomatic defaults as strings to stop tracebacks
- fixed textdomain bug that killed half of the translations

* Sun Mar 18 2001 Yukihiro Nakai <ynakai@redhat.com>
- Update Japanese translation.

* Fri Mar 16 2001 Crutcher Dunnavant <crutcher@redhat.com>
- fixed a bad thinko in the upgrade case and added japanese upgrades.
- cleanups in the code, more debugging states.
- Swedish desktop file from menthos
- killed LaserJet 5/lj5gray combo that Dell said wasn't working

* Sun Mar 11 2001 Crutcher Dunnavant <crutcher@redhat.com>
- Taught printconf about page size in the postscript special case.
- undid my blunder that was killing languages.

* Fri Mar  8 2001 Crutcher Dunnavant <crutcher@redhat.com>
- added context help, updated database

* Fri Mar  8 2001 Crutcher Dunnavant <crutcher@redhat.com>
- fixed option setting
- twiddled postscript prepend case

* Wed Mar  7 2001 Crutcher Dunnavant <crutcher@redhat.com>
- moved EOT to the mf_wrapper stage,
- terminated text jobs with \r\n\014

* Tue Mar  6 2001 Crutcher Dunnavant <crutcher@redhat.com>
- fixed upgrade case. It is now as smart as it's gonna get.

* Thu Feb 29 2001 Crutcher Dunnavant <crutcher@redhat.com>
- landed EOT sending, hope it works.

* Wed Feb 28 2001 Crutcher Dunnavant <crutcher@redhat.com>
- many, many, many tweaks
- Import docs directories

* Tue Feb 27 2001 Trond Eivind Glomsrd <teg@redhat.com>
- i18n update

* Fri Feb 23 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Fix langification

* Wed Feb 20 2001 Crutcher Dunnavant <crutcher@redhat.com>
- landed a huge chage

* Wed Feb 14 2001 Crutcher Dunnavant <crutcher@redhat.com>
- landed japanese, did some little bug fixes

* Tue Feb 13 2001 Crutcher Dunnavant <crutcher@redhat.com>
- tweaked locatations of the asc2goofycharset programs to put 'em in
- util, fixed crack in make_mfomatic_cfg.pl

* Tue Feb 13 2001 Crutcher Dunnavant <crutcher@redhat.com>
- changed to config(noreplace), tweaked some spelling, changed
- to a cleaner printcap format.

* Fri Feb  9 2001 Crutcher Dunnavant <crutcher@redhat.com>
- tweaked mf_wrapper to return magicfilter's return code

* Fri Feb  9 2001 Crutcher Dunnavant <crutcher@redhat.com>
- added print testpage code

* Fri Feb  9 2001 Crutcher Dunnavant <crutcher@redhat.com>
- added lang files

* Thu Feb  8 2001 Crutcher Dunnavant <crutcher@redhat.com>
- rebuild for more translations

* Wed Feb  7 2001 Jonathan Blandford <jrb@redhat.com>
- Fix up file.  Add foomatic stuff.

* Wed Feb  7 2001 Yukihiro Nakai <ynakai@redhat.com>
- Add more I18N

* Tue Feb  6 2001 Jonathan Blandford <jrb@redhat.com>
- Moved to auto*.  Much cleaner specfile

* Tue Feb  6 2001 Crutcher Dunnavant <crutcher@redhat.com>
- added the smbprint, ncpprint, and jetdirectprint files (oops.)

* Sun Feb  4 2001 Crutcher Dunnavant <crutcher@redhat.com>
- moved some stuff to more appropriate subdirectories,
- allowed the non-specification of remote queues for LPD entries.

* Thu Feb  1 2001 Crutcher Dunnavant <crutcher@redhat.com>
- Nailed down a spool/fpipe problem in magicfilter,
- tweaked some debug code.

* Wed Jan 31 2001 Crutcher Dunnavant <crutcher@redhat.com>
- split the netpbm, groff, and tetex filters out to their own
- packages. patched magicfilter's string reading code.

* Sun Jan 29 2001 Crutcher Dunnavant <crutcher@redhat.com>
- futzed with the filters, reworked the magicfilter config,
- moved everything that should go to /usr/share/printconf
- needs testing on a system with a printer.

* Thu Jan 25 2001 Crutcher Dunnavant <crutcher@redhat.com>
- stoped striping ppa support, tweaked pre/post to touch chkconfig

* Thu Jan 25 2001 Crutcher Dunnavant <crutcher@redhat.com>
- added printcap.local to list

* Thu Jan 25 2001 Crutcher Dunnavant <crutcher@redhat.com>
- Initial internationalization, stoped striping Postscript (oops)

* Wed Jan 24 2001 Crutcher Dunnavant <crutcher@redhat.com>
- I think upgrade from rhs-printfilters works now.

* Mon Jan 21 2001 Crutcher Dunnavant <crutcher@redhat.com>
- All but minor features complete. Needs upgrade case

* Sun Jan 20 2001 Crutcher Dunnavant <crutcher@redhat.com>
- checkin build, almost feature complete

* Fri Jan 18 2001 Crutcher Dunnavant <crutcher@redhat.com>
- changed the naming to use printconf-gui

* Fri Jan 18 2001 Crutcher Dunnavant <crutcher@redhat.com>
- rpm build fun

* Wed Jan  3 2001 Crutcher Dunnavant <crutcher@redhat.com>
- initial packaging of printconf collection

